<?php
use Psr\Container\ContainerInterface;

return [
    Slim\Views\Blade::class => function(ContainerInterface $container) {
        $folders = $container->get('folders');
        return new Slim\Views\Blade(
            $folders->get('templates'),
            $folders->get('cache'),
            null,
            $container->has('urls') ? $container->get('urls') : []
        );
    },
    eftec\bladeone\BladeOne::class => function(ContainerInterface $container) {
        return new eftec\bladeone\BladeOne(
            $container->get('folders')->get('templates'),
            $container->get('folders')->get('cache')
        );
    }
];
